/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/_general_styling.scss';
@import 'css/_variables.scss';
@import 'css/mixins/_fonts.scss';

.evidenceCard {
  min-height: 22.1875rem;

  background: $coa-white-100;
  padding: 1.25rem 1.25rem 1.5625rem;
  box-shadow: 4px 4px 20px rgba(209, 225, 254, 0.5);
  border-radius: 10px;
  -webkit-border-radius: 10px;
  -moz-border-radius: 10px;
  -ms-border-radius: 10px;
  -o-border-radius: 10px;
  display: flex;
  row-gap: 1.5625rem;
  flex-direction: column;
  &__header {
    display: flex;
    align-items: center;
    justify-content: space-between;
  }
  &__body {
    display: flex;
    flex-direction: column;
    row-gap: 0.625rem;
    flex-grow: 1;
  }
  &__footer {
    display: flex;
    column-gap: 0.625rem;

    &__deleteButton,
    &__viewButton {
      flex: 1;
    }
  }
  &__date {
    @include primary-text(0.875rem, $coa-light-gray-100, 400);
  }
  &__orderNumber {
    @include primary-text(0.875rem, $coa-evidence-card-order-number-color, 500);
    letter-spacing: 0.0625rem;
    text-transform: uppercase;
  }
  &__title {
    @include primary-text(1rem, $coa-dark-gray-100, 600);
  }
  &__subtitle {
    @include primary-text(0.875rem, $coa-red-100, 400);
  }
  &__description {
    @include primary-text(0.875rem, $coa-medium-gray-100, 400);
    max-height: 6.5125rem;
    display: -webkit-box;
    -webkit-line-clamp: 6;
    -webkit-box-orient: vertical;
    overflow: hidden;
    flex-grow: 1;
    word-break: break-word;
  }
  &__indicatorContainer {
    display: flex;
    justify-content: space-between;
    align-items: center;
    &__indicator {
      display: flex;
      align-items: center;
      column-gap: 0.3906rem;
      &__text {
        @include primary-text(0.875rem, $coa-medium-gray-100, 400);
        text-transform: capitalize;
      }
    }
    &__value {
      @include primary-text(1rem, $coa-medium-gray-100, 500);
      text-transform: uppercase;
    }
  }
}
